<template lang="pug">
  div(class="language-switch")
    a(
      :href="switchLocalePath(locale.code)"
      v-for="locale in availableLocales"
      :key="locale.code"
    )
      IconTranslate()
      span(class="language-switch__full") {{ locale.name }}
      span(class="language-switch__short") {{ locale.code }}
</template>

<script>
import IconTranslate from "~/assets/svg/ph-translate-fill.svg?inline";

export default {
  name:       'Language',
  components: {
    IconTranslate,
  },
  computed:   {
    availableLocales() {
      return this.$i18n.locales.filter(i => i.code !== this.$i18n.locale)
    },
  },
}
</script>

<style lang="scss" scoped>
.language-switch {
  @apply
  mr-2
  inline-block
  text-gray-700
  dark:text-gray-400
  h-10
  ;

  &__full {
    @apply
    hidden
    md:inline-block
    align-middle
    text-xs
    ;
  }

  &__short {
    @apply
    md:hidden
    align-middle
    text-xs
    uppercase
    md:capitalize
    ;
  }

  a {
    @apply
    text-sm
    ;

    svg {
      @apply
      w-6
      h-6
      md:w-4
      md:h-4
      inline-block
      fill-current
      mr-1
      ;
    }
  }
}
</style>
